Skip to main content

Create a terms object

POST 

/nevisidm/api/core/v1/terms

Since: 2.75.1

Required permission(s): AccessControl.TermsCreate

Creates a new terms object. If no external ID is provided, one is generated automatically.

Request

Body

required
    name stringrequired

    Possible values: non-empty

    The name of the terms object.

    active booleanrequired

    Determines whether the terms are active or not.

    silentAcceptance booleanrequired

    Determines whether the terms are accepted silently or not.

    termsVersion stringrequired

    Possible values: non-empty

    The version of the terms.

    urls object

    URLs pointing to the actual terms and conditions pages, keyed by language.

    property name* string

Responses

Terms created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...